
Conversion Tools - Feature #1902

Feature # 1901 (New): modify the conversion process to properly run on Windows

automatically default global configuration changes based on the platform on which conversion is

running

11/01/2012 07:43 PM - Greg Shah

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 16.00 hours

Target version:    

billable: No version:  

vendor_id: GCD   

Description

History

#1 - 11/01/2012 07:55 PM - Greg Shah

- Estimated time changed from 8.00 to 16.00

See #1565 for detailed findings.

The p2j.cfg.xml needed to have the following changed to properly convert a Linux project on Windows:

1. The path separator had to be changed from ";" to ":".

2. Any entries with embedded path separators (e.g. patpath) had to be edited as in #1.

3. The file separator had to be changed from "/" to "\".

4. Any entries with embedded file separators had to be edited as in #3.

During conversion, some file/path processing may be for names as specified (in the code) for the original target system. For example, if the code

originally ran on UNIX, but the conversion is running on Windows, it is possible that the conversion would have to deal with files/paths that are coded

in the 4GL source with UNIX file/path seps.

On the other hand, much of the processing during conversion is about file/path names that exist on the conversion system itself.  For example, when

the conversion process is searching for include files, it must actually scan the conversion system's file system and it may be doing that using names

that were specified in a different system's file/path seps (because of what is coded in the source).

The usage of all these config values (that would be changed) needs to be checked to make sure that they are only used for processing of

conversion-system files/paths.  If not, then the two use cases must be split (it is not split today).

The values to be set for the conversion system can be defaulted based on J2SE values like File.separator.

Any values to be set for the original target system must be manually encoded in the global configuration.  Documentation in the Conversion Handbook

must be updated to fully explain this.
https://proj.goldencode.com/issues/1565
https://proj.goldencode.com/issues/1
https://proj.goldencode.com/issues/3


#2 - 11/01/2012 07:57 PM - Greg Shah

- Target version set to 24

#3 - 11/16/2016 01:16 PM - Greg Shah

- Target version deleted (24)
